Runtime

## org.eclipse.gmf.runtime.diagram.ui.layout
Class FreeFormLayoutEx

    java.lang.Object
      org.eclipse.draw2d.AbstractLayout
          org.eclipse.draw2d.XYLayout
              org.eclipse.draw2d.FreeformLayout
                  org.eclipse.gmf.runtime.diagram.ui.layout.FreeFormLayoutEx

All Implemented Interfaces:
  LayoutManager

Direct Known Subclasses:
  CanonicalShapeCompartmentLayout

public class FreeFormLayoutEx
extends FreeformLayout

Free form layout that respect the min and max size of the shape

Field Summary

Fields inherited from class org.eclipse.draw2d.XYLayout
`constraints`

Fields inherited from class org.eclipse.draw2d.AbstractLayout
`isObservingVisibility, preferredSize`

Constructor Summary
`FreeFormLayoutEx()`

Method Summary
`void` `layout(IFigure parent)`

Methods inherited from class org.eclipse.draw2d.FreeformLayout
`getOrigin`

Methods inherited from class org.eclipse.draw2d.XYLayout
`calculatePreferredSize, getConstraint, remove, setConstraint`

Methods inherited from class org.eclipse.draw2d.AbstractLayout
`calculatePreferredSize, getBorderPreferredSize, getMinimumSize, getMinimumSize, getPreferredSize, getPreferredSize, invalidate, invalidate, isObservingVisibility, setObserveVisibility`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FreeFormLayoutEx

    public FreeFormLayoutEx()

Method Detail

### layout

    public void layout(IFigure parent)

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.